/* @font-face {
    font-family: 'HYk2gj';
    src: url('../fonts/May_black.ttf');
} */

@font-face {
    font-family: 'energy2';
    src: url('../fonts/add.ttf');
}

@font-face {
    font-family: 'HYk2gj';
    src: url('../fonts/May_black.ttf');
}

.typeface2 {
    font-family: 'HYk2gj';
}

.typeface {
    font-family: 'HYk2gj';
    text-shadow: 1px 2px 0px #FFE502;
}

.wrap-container {
    transform: translate(100%, -0px);
    background: #fff;
}

.grad1 {
    /* background-color: #9E9FAA; */
    background-color: #24242B;
    /* background-image: linear-gradient(to bottom right, #9E9FAA, #433D3D); */
}

.courses_shade {
    background-image: linear-gradient(rgba(255, 255, 255, 0) 0%, #ffffff 56%)
}

.keep-wrap {
    transform: translate(0px, 0px);
}

.once-component {
    left: 100%;
}

.keep-component {
    left: 0%;
}

.hide-wrap {
    animation: hideAnimation .3s ease-out forwards;
}

.hide-once-component {
    animation: hideCAnimation .3s ease-out forwards;
}

.show-wrap {
    animation: showAnimation .3s ease-out forwards;
}

.show-once-component {
    animation: showCAnimation .3s ease-out forwards;
}

@keyframes showAnimation {
    0% {
        transform: translate(100%, -0px);
    }

    100% {
        transform: translate(0px, 0px);
    }
}

@keyframes hideAnimation {
    0% {
        transform: translate(0px, -0px);
    }

    100% {
        transform: translate(100%, 0px);
    }
}

@keyframes showCAnimation {
    0% {
        left: 100%;
    }

    100% {
        left: 0;
    }
}

@keyframes hideCAnimation {
    0% {
        left: 0;
    }

    100% {
        left: 100%;
    }
}

.blur {
    filter: url(blur.svg#blur);
    /* FireFox, Chrome, Opera */

    -webkit-filter: blur(25px);
    /* Chrome, Opera */
    -moz-filter: blur(25px);
    -ms-filter: blur(25px);
    filter: blur(25px);

    filter: progid:DXImageTransform.Microsoft.Blur(PixelRadius=10, MakeShadow=false);
    /* IE6~IE9 */
}

.ilogo {
    position: relative;
    overflow: hidden;
    animation: move 1s infinite alternate;
}

.ilogo::after {
    content: attr(data-after);
    position: absolute;
    top: 131px;
    width: 145px;
    height: 15px;
    background-image: linear-gradient(to bottom, transparent, #ffffff, transparent);
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    transform: rotate(-45deg);
    -webkit-animation: searchLights 2s;
    -o-animation: searchLights 2s;
    animation: searchLights 2s;
}

@keyframes searchLights {
    0% {
        left: -10px;
        top: 100px;
    }

    100% {
        left: -50px;
        top: -100px;

    }
}

.numberBox {
    position: relative;
}

.move-p {
    animation: mymove .8s ease-out forwards;
    position: absolute;
    top: 0;
    height: 50px;
    line-height: 50px;
    font-size: 22;
    color: red;
    font-weight: 600;
}

@keyframes mymove {
    from {
        top: 50px;
    }

    to {
        top: -50px;
    }
}



.move-p3 {
    animation: mymove3 .8s ease-out forwards;
    position: absolute;
    font-family: 'energy2';

    height: 50px;
    line-height: 50px;
    font-size: 42px;
    bottom: -29px;

    text-shadow:
        /* These four shadows create the most outer stroke */
        -.05em -.05em 0 #FFE000,
        .05em -.05em 0 #FFE000,
        -.05em .05em 0 #FFE000,
        .05em .05em 0 #FFE000;
    color: #FF0000;
    /* For non-webkit-browsers */

    left: 36%;
    font-weight: 600;
}

@keyframes mymove3 {
    0% {
        font-size: 0px;
    }

    25% {
        font-size: 42px;
    }

    50% {
        font-size: 42px;

    }

    60% {
        opacity: 0.5;
    }

    100% {
        opacity: 0.2;
        font-size: 0px;
    }

}


#reserveTime {
    width: 120px;
    display: none;
    position: absolute;
    left: 0px;
    top: 42px;
    max-height: 140px;
    background-color: #fff;
    border: 1px solid #e4e7ed;
    box-shadow: 0 2px 12px 0 rgba(0, 0, 0, .1);
    overflow: scroll;
    overflow-x: hidden
}

.reserveOptions {
    width: 100%;
    position: static !important;
    padding: 6px 10px;
    font-size: 14px;
}


#reserve_select {
    visibility: hidden;

}

#reserve_selectBox {
    top: 100%;
    transition: all 0.5s ease 0s;
}

#reserve_selectList::-webkit-scrollbar {
    /*滚动条整体样式*/
    width: 5px;
    /*高宽分别对应横竖滚动条的尺寸*/
    height: 1px;
    display: block !important
}

#reserve_selectList::-webkit-scrollbar-thumb {
    /*滚动条里面小方块*/
    border-radius: 5px;
    box-shadow: inset 0 0 5px rgba(0, 0, 0, 0.2);
    background: #535353;
}

#reserve_selectList::-webkit-scrollbar-track {
    /*滚动条里面轨道*/
    box-shadow: inset 0 0 5px rgba(0, 0, 0, 0.2);
    border-radius: 5px;
    background: #ededed;
}



@keyframes loadingRotateA {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

/* @keyframes loadingRotateB {
    0% {
        transform: rotate(180deg);
    }

    100% {
        transform: rotate(540deg);
    }
} */

.overflow_y_none{
    overflow-y:hidden
}

.overspread{
    background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, #00000070 100%);
}